#ifndef __INITVAL_PORT_H__
#define __INITVAL_PORT_H__

/*******************************************************************/
#define GPMAIN_STACK_SIZE		(100<<10)	
#define NET_STACK_SIZE			(64<<10)		
#define USER_STACK_SIZE			(4 << 10)	
/*******************************************************************/

/*************************************************************
* Heap Management Library Attach                             *
*************************************************************/
#define USE_GP_MEM		1						

/*************************************************************
* Button Checking Loop count	                             *
*************************************************************/
#define KEYPOLLING_NUM	20									

/*************************************************************
* Processor Clock speed		                                 *
*************************************************************/
#define DEFAULT_MCLK	67800000
#define CHANGE_MCLK		0									
#if CHANGE_MCLK												
	#define YOUR_SELECT_CLK		0
	#if (YOUR_SELECT_CLK == 0)
		#define CLK_SPEED       59250000       		
		#define DIV_FACTOR      0x47022
		#define CLK_MODE        1
	#elif (YOUR_SELECT_CLK == 1 )
	#else
	#endif
#endif /*CHANGE_MCLK*/

#endif /*__initval_port_h__*/
